/* 基础样式：让输入框相对定位，作为伪元素绝对定位的参考 */
.el-input.el-input--small.el-input-group.el-input-group--prepend {
    position: relative;
}

/* 提示框统一样式（隐藏，等聚焦时显示） */
.el-input.el-input--small.el-input-group.el-input-group--prepend::before {
    display: none;
    position: absolute;
    top: -60px;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    border-radius: 10px;
    padding: 14px 18px;
    background: #444;
    color: #fff;
    content: '';  /* 具体内容由后面各自指定 */
}

/* 小三角统一样式 */
.el-input.el-input--small.el-input-group.el-input-group--prepend::after {
    display: none;
    content: '';
    position: absolute;
    border: 12px solid transparent;
    border-top-color: #444;
    left: 50%;
    transform: translateX(-50%);
    top: -30px;
}

/* 输入框获得焦点时显示提示 */
.el-input.el-input--small.el-input-group.el-input-group--prepend:focus-within::before,
.el-input.el-input--small.el-input-group.el-input-group--prepend:focus-within::after {
    display: block;
}

/* 分别为第1、2、3个输入框设置不同的提示文本 */
.el-input.el-input--small.el-input-group.el-input-group--prepend:nth-child(1)::before {
    content: '输入 QQ 号会自动获取昵称和头像 🐧';
}

.el-input.el-input--small.el-input-group.el-input-group--prepend:nth-child(2)::before {
    content: '收到回复将会发送到您的邮箱 📧';
}

.el-input.el-input--small.el-input-group.el-input-group--prepend:nth-child(3)::before {
    content: '可以通过昵称访问您的网站 🔗';
}

/* 带链接的用户名显示为红色 */
.tk-nick.tk-nick-link {
    color: #f56c6c! important;
}

